Merge remote-tracking branch 'origin/master' into YaSp
[scilab.git] / scilab / modules / ast / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 ##########
29 ### Makefile included stuff
30 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
31 ##########
32
33
34 VPATH = @srcdir@
35 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
36 am__make_running_with_option = \
37   case $${target_option-} in \
38       ?) ;; \
39       *) echo "am__make_running_with_option: internal error: invalid" \
40               "target option '$${target_option-}' specified" >&2; \
41          exit 1;; \
42   esac; \
43   has_opt=no; \
44   sane_makeflags=$$MAKEFLAGS; \
45   if $(am__is_gnu_make); then \
46     sane_makeflags=$$MFLAGS; \
47   else \
48     case $$MAKEFLAGS in \
49       *\\[\ \   ]*) \
50         bs=\\; \
51         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
52           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
53     esac; \
54   fi; \
55   skip_next=no; \
56   strip_trailopt () \
57   { \
58     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
59   }; \
60   for flg in $$sane_makeflags; do \
61     test $$skip_next = yes && { skip_next=no; continue; }; \
62     case $$flg in \
63       *=*|--*) continue;; \
64         -*I) strip_trailopt 'I'; skip_next=yes;; \
65       -*I?*) strip_trailopt 'I';; \
66         -*O) strip_trailopt 'O'; skip_next=yes;; \
67       -*O?*) strip_trailopt 'O';; \
68         -*l) strip_trailopt 'l'; skip_next=yes;; \
69       -*l?*) strip_trailopt 'l';; \
70       -[dEDm]) skip_next=yes;; \
71       -[JT]) skip_next=yes;; \
72     esac; \
73     case $$flg in \
74       *$$target_option*) has_opt=yes; break;; \
75     esac; \
76   done; \
77   test $$has_opt = yes
78 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
79 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
80 pkgdatadir = $(datadir)/@PACKAGE@
81 pkgincludedir = $(includedir)/@PACKAGE@
82 pkglibdir = $(libdir)/@PACKAGE@
83 pkglibexecdir = $(libexecdir)/@PACKAGE@
84 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85 install_sh_DATA = $(install_sh) -c -m 644
86 install_sh_PROGRAM = $(install_sh) -c
87 install_sh_SCRIPT = $(install_sh) -c
88 INSTALL_HEADER = $(INSTALL_DATA)
89 transform = $(program_transform_name)
90 NORMAL_INSTALL = :
91 PRE_INSTALL = :
92 POST_INSTALL = :
93 NORMAL_UNINSTALL = :
94 PRE_UNINSTALL = :
95 POST_UNINSTALL = :
96 build_triplet = @build@
97 host_triplet = @host@
98 check_PROGRAMS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
99         testControlExp$(EXEEXT)
100 TESTS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
101         testControlExp$(EXEEXT)
102 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
103         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
104         $(top_srcdir)/config/depcomp $(libsciast_la_include_HEADERS)
105 @NEED_JAVA_TRUE@am__append_1 = java
106 subdir = modules/ast
107 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
108 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
109         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
110         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
111         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
112         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
113         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
114         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
115         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
116         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
117         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
118         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
119         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
120         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
121         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
122         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
123         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
124         $(top_srcdir)/configure.ac
125 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
126         $(ACLOCAL_M4)
127 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
128 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
129 CONFIG_CLEAN_FILES =
130 CONFIG_CLEAN_VPATH_FILES =
131 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
132 am__vpath_adj = case $$p in \
133     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
134     *) f=$$p;; \
135   esac;
136 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
137 am__install_max = 40
138 am__nobase_strip_setup = \
139   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
140 am__nobase_strip = \
141   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
142 am__nobase_list = $(am__nobase_strip_setup); \
143   for p in $$list; do echo "$$p $$p"; done | \
144   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
145   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
146     if (++n[$$2] == $(am__install_max)) \
147       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
148     END { for (dir in files) print dir, files[dir] }'
149 am__base_list = \
150   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
151   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
152 am__uninstall_files_from_dir = { \
153   test -z "$$files" \
154     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
155     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
156          $(am__cd) "$$dir" && rm -f $$files; }; \
157   }
158 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
159         "$(DESTDIR)$(libsciast_la_includedir)"
160 LTLIBRARIES = $(pkglib_LTLIBRARIES)
161 libsciast_la_LIBADD =
162 am_libsciast_la_OBJECTS = libsciast_la-libAst.lo \
163         libsciast_la-visitor_common.lo libsciast_la-printvisitor.lo \
164         libsciast_la-debugvisitor.lo libsciast_la-mutevisitor.lo \
165         libsciast_la-shortcutvisitor.lo \
166         libsciast_la-scilabexception.lo \
167         libsciast_la-macrovarvisitor.lo
168 libsciast_la_OBJECTS = $(am_libsciast_la_OBJECTS)
169 AM_V_lt = $(am__v_lt_@AM_V@)
170 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
171 am__v_lt_0 = --silent
172 am__v_lt_1 = 
173 am_testConstExp_OBJECTS = testConstExp-testConstExp.$(OBJEXT)
174 testConstExp_OBJECTS = $(am_testConstExp_OBJECTS)
175 testConstExp_DEPENDENCIES = $(check_LDADD)
176 testConstExp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
177         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testConstExp_CXXFLAGS) \
178         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
179 am_testControlExp_OBJECTS = testControlExp-testControlExp.$(OBJEXT)
180 testControlExp_OBJECTS = $(am_testControlExp_OBJECTS)
181 testControlExp_DEPENDENCIES = $(check_LDADD)
182 testControlExp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
183         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
184         $(testControlExp_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
185         $(LDFLAGS) -o $@
186 am_testVarExp_OBJECTS = testVarExp-testVarExp.$(OBJEXT)
187 testVarExp_OBJECTS = $(am_testVarExp_OBJECTS)
188 testVarExp_DEPENDENCIES = $(check_LDADD)
189 testVarExp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
190         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testVarExp_CXXFLAGS) \
191         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
192 AM_V_P = $(am__v_P_@AM_V@)
193 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
194 am__v_P_0 = false
195 am__v_P_1 = :
196 AM_V_GEN = $(am__v_GEN_@AM_V@)
197 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
198 am__v_GEN_0 = @echo "  GEN     " $@;
199 am__v_GEN_1 = 
200 AM_V_at = $(am__v_at_@AM_V@)
201 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
202 am__v_at_0 = @
203 am__v_at_1 = 
204 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
205 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
206 am__depfiles_maybe = depfiles
207 am__mv = mv -f
208 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
209         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
210 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
211         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
212         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213         $(AM_CXXFLAGS) $(CXXFLAGS)
214 AM_V_CXX = $(am__v_CXX_@AM_V@)
215 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
216 am__v_CXX_0 = @echo "  CXX     " $@;
217 am__v_CXX_1 = 
218 CXXLD = $(CXX)
219 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
220         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
221         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
222 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
223 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
224 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
225 am__v_CXXLD_1 = 
226 SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
227         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
228 DIST_SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
229         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
230 am__can_run_installinfo = \
231   case $$AM_UPDATE_INFO_DIR in \
232     n|no|NO) false;; \
233     *) (install-info --version) >/dev/null 2>&1;; \
234   esac
235 HEADERS = $(libsciast_la_include_HEADERS)
236 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
237 # Read a list of newline-separated strings from the standard input,
238 # and print each of them once, without duplicates.  Input order is
239 # *not* preserved.
240 am__uniquify_input = $(AWK) '\
241   BEGIN { nonempty = 0; } \
242   { items[$$0] = 1; nonempty = 1; } \
243   END { if (nonempty) { for (i in items) print i; }; } \
244 '
245 # Make sure the list of sources is unique.  This is necessary because,
246 # e.g., the same source file might be shared among _SOURCES variables
247 # for different programs/libraries.
248 am__define_uniq_tagged_files = \
249   list='$(am__tagged_files)'; \
250   unique=`for i in $$list; do \
251     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
252   done | $(am__uniquify_input)`
253 ETAGS = etags
254 CTAGS = ctags
255 am__tty_colors_dummy = \
256   mgn= red= grn= lgn= blu= brg= std=; \
257   am__color_tests=no
258 am__tty_colors = { \
259   $(am__tty_colors_dummy); \
260   if test "X$(AM_COLOR_TESTS)" = Xno; then \
261     am__color_tests=no; \
262   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
263     am__color_tests=yes; \
264   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
265     am__color_tests=yes; \
266   fi; \
267   if test $$am__color_tests = yes; then \
268     red='\e[0;31m'; \
269     grn='\e[0;32m'; \
270     lgn='\e[1;32m'; \
271     blu='\e[1;34m'; \
272     mgn='\e[0;35m'; \
273     brg='\e[1m'; \
274     std='\e[m'; \
275   fi; \
276 }
277 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
278 ACLOCAL = @ACLOCAL@
279 ALL_LINGUAS = @ALL_LINGUAS@
280 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
281 AMTAR = @AMTAR@
282 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
283 ANT = @ANT@
284 ANTLR = @ANTLR@
285 AR = @AR@
286 ARPACK_LIBS = @ARPACK_LIBS@
287 ASM3 = @ASM3@
288 AUTOCONF = @AUTOCONF@
289 AUTOHEADER = @AUTOHEADER@
290 AUTOMAKE = @AUTOMAKE@
291 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
292 AWK = @AWK@
293 BATIK = @BATIK@
294 BLAS_LIBS = @BLAS_LIBS@
295 CC = @CC@
296 CCACHE = @CCACHE@
297 CCDEPMODE = @CCDEPMODE@
298 CFLAGS = @CFLAGS@
299 CHECKSTYLE = @CHECKSTYLE@
300 COBERTURA = @COBERTURA@
301 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
302 COMMONS_IO = @COMMONS_IO@
303 COMMONS_LOGGING = @COMMONS_LOGGING@
304 CPP = @CPP@
305 CPPFLAGS = @CPPFLAGS@
306 CURL_CFLAGS = @CURL_CFLAGS@
307 CURL_CONFIG = @CURL_CONFIG@
308 CURL_LIBS = @CURL_LIBS@
309 CURL_VERSION = @CURL_VERSION@
310 CXX = @CXX@
311 CXXCPP = @CXXCPP@
312 CXXDEPMODE = @CXXDEPMODE@
313 CXXFLAGS = @CXXFLAGS@
314 CYGPATH_W = @CYGPATH_W@
315 DEFS = @DEFS@
316 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
317 DEPDIR = @DEPDIR@
318 DOCBOOK_ROOT = @DOCBOOK_ROOT@
319 DOXYGEN_BIN = @DOXYGEN_BIN@
320 DSYMUTIL = @DSYMUTIL@
321 DUMPBIN = @DUMPBIN@
322 ECHO_C = @ECHO_C@
323 ECHO_N = @ECHO_N@
324 ECHO_T = @ECHO_T@
325 EGREP = @EGREP@
326 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
327 EXEEXT = @EXEEXT@
328 F77 = @F77@
329 FFLAGS = @FFLAGS@
330 FFTW3_LIB = @FFTW3_LIB@
331 FFTW_ENABLE = @FFTW_ENABLE@
332 FGREP = @FGREP@
333 FLEXDOCK = @FLEXDOCK@
334 FLIBS = @FLIBS@
335 FOP = @FOP@
336 GENHTML = @GENHTML@
337 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
338 GIWS_BIN = @GIWS_BIN@
339 GLUEGEN2_RT = @GLUEGEN2_RT@
340 GMSGFMT = @GMSGFMT@
341 GMSGFMT_015 = @GMSGFMT_015@
342 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
343 GREP = @GREP@
344 GUI_ENABLE = @GUI_ENABLE@
345 HDF5_CFLAGS = @HDF5_CFLAGS@
346 HDF5_LIBS = @HDF5_LIBS@
347 HELP_ENABLE = @HELP_ENABLE@
348 INSTALL = @INSTALL@
349 INSTALL_DATA = @INSTALL_DATA@
350 INSTALL_PROGRAM = @INSTALL_PROGRAM@
351 INSTALL_SCRIPT = @INSTALL_SCRIPT@
352 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
353 INTLLIBS = @INTLLIBS@
354 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
355 JAR = @JAR@
356 JAVA = @JAVA@
357 JAVAC = @JAVAC@
358 JAVAC_DEBUG = @JAVAC_DEBUG@
359 JAVADOC = @JAVADOC@
360 JAVAH = @JAVAH@
361 JAVASCI_ENABLE = @JAVASCI_ENABLE@
362 JAVA_ENABLE = @JAVA_ENABLE@
363 JAVA_G = @JAVA_G@
364 JAVA_HOME = @JAVA_HOME@
365 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
366 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
367 JDB = @JDB@
368 JEUCLID_CORE = @JEUCLID_CORE@
369 JGRAPHX = @JGRAPHX@
370 JHALL = @JHALL@
371 JLATEXMATH = @JLATEXMATH@
372 JLATEXMATH_FOP = @JLATEXMATH_FOP@
373 JOGL2 = @JOGL2@
374 JROSETTA_API = @JROSETTA_API@
375 JROSETTA_ENGINE = @JROSETTA_ENGINE@
376 JUNIT4 = @JUNIT4@
377 LAPACK_LIBS = @LAPACK_LIBS@
378 LCOV = @LCOV@
379 LD = @LD@
380 LDFLAGS = @LDFLAGS@
381 LEX = @LEX@
382 LEXLIB = @LEXLIB@
383 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
384 LIBICONV = @LIBICONV@
385 LIBINTL = @LIBINTL@
386 LIBM = @LIBM@
387 LIBOBJS = @LIBOBJS@
388 LIBS = @LIBS@
389 LIBTOOL = @LIBTOOL@
390 LIPO = @LIPO@
391 LN_S = @LN_S@
392 LOGGING_LEVEL = @LOGGING_LEVEL@
393 LOOKS = @LOOKS@
394 LTLIBICONV = @LTLIBICONV@
395 LTLIBINTL = @LTLIBINTL@
396 LTLIBOBJS = @LTLIBOBJS@
397 MAINT = @MAINT@
398 MAKEINFO = @MAKEINFO@
399 MATIO_CFLAGS = @MATIO_CFLAGS@
400 MATIO_ENABLE = @MATIO_ENABLE@
401 MATIO_LIBS = @MATIO_LIBS@
402 MKDIR_P = @MKDIR_P@
403 MSGCAT = @MSGCAT@
404 MSGFMT = @MSGFMT@
405 MSGFMT_015 = @MSGFMT_015@
406 MSGMERGE = @MSGMERGE@
407 NM = @NM@
408 NMEDIT = @NMEDIT@
409 OBJDUMP = @OBJDUMP@
410 OBJEXT = @OBJEXT@
411 OCAMLC = @OCAMLC@
412 OCAMLDEP = @OCAMLDEP@
413 OCAMLLEX = @OCAMLLEX@
414 OCAMLOPT = @OCAMLOPT@
415 OCAMLYACC = @OCAMLYACC@
416 OPENMP_CFLAGS = @OPENMP_CFLAGS@
417 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
418 OPENMP_ENABLE = @OPENMP_ENABLE@
419 OPENMP_LIBS = @OPENMP_LIBS@
420 OTOOL = @OTOOL@
421 OTOOL64 = @OTOOL64@
422 PACKAGE = @PACKAGE@
423 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
424 PACKAGE_NAME = @PACKAGE_NAME@
425 PACKAGE_STRING = @PACKAGE_STRING@
426 PACKAGE_TARNAME = @PACKAGE_TARNAME@
427 PACKAGE_URL = @PACKAGE_URL@
428 PACKAGE_VERSION = @PACKAGE_VERSION@
429 PATH_SEPARATOR = @PATH_SEPARATOR@
430 PCRE_CFLAGS = @PCRE_CFLAGS@
431 PCRE_CONFIG = @PCRE_CONFIG@
432 PCRE_LIBS = @PCRE_LIBS@
433 PCRE_VERSION = @PCRE_VERSION@
434 PKG_CONFIG = @PKG_CONFIG@
435 POSUB = @POSUB@
436 POW_LIB = @POW_LIB@
437 PYTHON = @PYTHON@
438 RANLIB = @RANLIB@
439 RELOCATABLE = @RELOCATABLE@
440 RT_LIB = @RT_LIB@
441 SAXON = @SAXON@
442 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
443 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
444 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
445 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
446 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
447 SCIRENDERER = @SCIRENDERER@
448 SCIRENDERER_CP = @SCIRENDERER_CP@
449 SCI_CFLAGS = @SCI_CFLAGS@
450 SCI_CXXFLAGS = @SCI_CXXFLAGS@
451 SCI_FFLAGS = @SCI_FFLAGS@
452 SCI_LDFLAGS = @SCI_LDFLAGS@
453 SED = @SED@
454 SET_MAKE = @SET_MAKE@
455 SET_RELOCATABLE = @SET_RELOCATABLE@
456 SHELL = @SHELL@
457 SKINLF = @SKINLF@
458 SPLINT = @SPLINT@
459 STRIP = @STRIP@
460 SWIG_BIN = @SWIG_BIN@
461 SWIG_JAVA = @SWIG_JAVA@
462 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
463 TCLTK_LIBS = @TCLTK_LIBS@
464 TCL_INC_PATH = @TCL_INC_PATH@
465 TK_INC_PATH = @TK_INC_PATH@
466 UMFPACK_ENABLE = @UMFPACK_ENABLE@
467 UMFPACK_LIB = @UMFPACK_LIB@
468 USE_NLS = @USE_NLS@
469 VERSION = @VERSION@
470 WITH_OCAML = @WITH_OCAML@
471 WITH_TKSCI = @WITH_TKSCI@
472 XCOS_ENABLE = @XCOS_ENABLE@
473 XGETTEXT = @XGETTEXT@
474 XGETTEXT_015 = @XGETTEXT_015@
475 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
476 XMKMF = @XMKMF@
477 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
478 XML_APIS_EXT = @XML_APIS_EXT@
479 XML_CONFIG = @XML_CONFIG@
480 XML_FLAGS = @XML_FLAGS@
481 XML_LIBS = @XML_LIBS@
482 XML_VERSION = @XML_VERSION@
483 X_CFLAGS = @X_CFLAGS@
484 X_EXTRA_LIBS = @X_EXTRA_LIBS@
485 X_LIBS = @X_LIBS@
486 X_PRE_LIBS = @X_PRE_LIBS@
487 YACC = @YACC@
488 YFLAGS = @YFLAGS@
489 abs_builddir = @abs_builddir@
490 abs_srcdir = @abs_srcdir@
491 abs_top_builddir = @abs_top_builddir@
492 abs_top_srcdir = @abs_top_srcdir@
493 ac_ct_AR = @ac_ct_AR@
494 ac_ct_CC = @ac_ct_CC@
495 ac_ct_CXX = @ac_ct_CXX@
496 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
497 ac_ct_F77 = @ac_ct_F77@
498 am__include = @am__include@
499 am__leading_dot = @am__leading_dot@
500 am__quote = @am__quote@
501 am__tar = @am__tar@
502 am__untar = @am__untar@
503 bindir = @bindir@
504 build = @build@
505 build_alias = @build_alias@
506 build_cpu = @build_cpu@
507 build_os = @build_os@
508 build_vendor = @build_vendor@
509 builddir = @builddir@
510 cxx_present = @cxx_present@
511 datadir = @datadir@
512 datarootdir = @datarootdir@
513 docdir = @docdir@
514 dvidir = @dvidir@
515 exec_prefix = @exec_prefix@
516 host = @host@
517 host_alias = @host_alias@
518 host_cpu = @host_cpu@
519 host_os = @host_os@
520 host_vendor = @host_vendor@
521 htmldir = @htmldir@
522 includedir = @includedir@
523 infodir = @infodir@
524 install_sh = @install_sh@
525 libdir = @libdir@
526 libexecdir = @libexecdir@
527 localedir = @localedir@
528 localstatedir = @localstatedir@
529 mandir = @mandir@
530 mkdir_p = @mkdir_p@
531 oldincludedir = @oldincludedir@
532 pdfdir = @pdfdir@
533 prefix = @prefix@
534 program_transform_name = @program_transform_name@
535 psdir = @psdir@
536 sbindir = @sbindir@
537 sharedstatedir = @sharedstatedir@
538 srcdir = @srcdir@
539 sysconfdir = @sysconfdir@
540 target_alias = @target_alias@
541 top_build_prefix = @top_build_prefix@
542 top_builddir = @top_builddir@
543 top_srcdir = @top_srcdir@
544 yacc_present = @yacc_present@
545 pkglib_LTLIBRARIES = libsciast.la
546 libsciast_la_SOURCES = \
547         src/cpp/libAst.cpp \
548         src/cpp/visitor_common.cpp \
549         src/cpp/printvisitor.cpp \
550         src/cpp/debugvisitor.cpp \
551         src/cpp/mutevisitor.cpp \
552         src/cpp/shortcutvisitor.cpp \
553         src/cpp/scilabexception.cpp \
554         src/cpp/macrovarvisitor.cpp
555
556 libsciast_la_CPPFLAGS = \
557         -Iincludes \
558         -Isrc/cpp \
559     -I$(top_srcdir)/modules/dynamic_link/includes \
560     -I$(top_srcdir)/modules/symbol/includes \
561         -I$(top_srcdir)/modules/types/includes \
562         -I$(top_srcdir)/modules/functions_manager/includes \
563         -I$(top_srcdir)/modules/console/includes \
564         -I$(top_srcdir)/modules/elementary_functions/includes \
565         -I$(top_srcdir)/modules/operations/includes \
566         -I$(top_srcdir)/modules/output_stream/includes \
567         -I$(top_srcdir)/modules/system_env/includes \
568         -I$(top_srcdir)/modules/api_scilab/includes \
569         -I$(top_srcdir)/modules/string/includes \
570         -I$(top_srcdir)/modules/threads/includes \
571         -I$(top_srcdir)/modules/localization/includes \
572     $(EIGEN_CPPFLAGS) \
573         $(AM_CPPFLAGS)
574
575 libsciast_la_includedir = $(pkgincludedir)
576 libsciast_la_include_HEADERS = 
577
578 ####################
579 ####################
580 check_INCLUDES = \
581     -I$(top_srcdir)/modules/symbol/includes \
582         -Iincludes/ \
583         -Isrc/cpp
584
585 check_LDADD = \
586     $(top_builddir)/modules/symbol/libsciSymbol.la \
587         $(top_builddir)/modules/ast/libsciast.la \
588         $(top_builddir)/modules/types/libsciTypes.la
589
590 testConstExp_SOURCES = src/cpp/testConstExp.cpp
591 testConstExp_CXXFLAGS = $(check_INCLUDES)
592 testConstExp_LDADD = $(check_LDADD)
593 testVarExp_SOURCES = src/cpp/testVarExp.cpp
594 testVarExp_CXXFLAGS = $(check_INCLUDES)
595 testVarExp_LDADD = $(check_LDADD)
596 testControlExp_SOURCES = src/cpp/testControlExp.cpp
597 testControlExp_CXXFLAGS = $(check_INCLUDES)
598 testControlExp_LDADD = $(check_LDADD)
599
600 # Where all the Scilab stuff is installed (macros, help, ...)
601 mydatadir = $(pkgdatadir)/modules/$(modulename)
602
603 # Set AM_* SCI detected settings
604 AM_CPPFLAGS = $(SCI_CPPFLAGS)
605 AM_CFLAGS = $(SCI_CFLAGS)
606 AM_CXXFLAGS = $(SCI_CXXFLAGS)
607 # append includes to AM_FFLAGS to manage fortran includes
608 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
609
610 # Tag shared libraries with the Scilab version
611 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
612
613 # splint options
614 SPLINT_OPTIONS = -weak -booltype BOOL
615
616 ########################### JAVA ######################################
617 #### We are delegating java compilation to ant... Thanks to that
618 #### the procedure will be the same with Microsoft Windows (C)
619 #### and Linux/Unix
620 #######################################################################
621 TARGETS_ALL = $(am__append_1)
622
623 ################ MACROS ######################
624 # Rule to build a macro
625 # NOT USED  AT THE MOMENT
626 SUFFIXES = .sci 
627
628 ########### INSTALL DOCUMENTATION ###################
629
630 # Install documentation files into the right target
631 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
632 # automake needs the html files to be present which is not the case when
633 # we are building Scilab
634
635 # Where it should be installed
636 pkgdocdir = $(mydatadir)
637
638 # What is the mask of the help source
639 DOCMASKXML = *.xml
640
641 # What is the mask of the MathML sources
642 DOCMASKMML = *.mml
643
644 ########### INSTALL DATA ###################
645 # Install macros, help & demos
646 # Where it should be installed
647 pkgmacrosdir = $(mydatadir)
648 # Which directory we process
649 MACRODIRS = macros/
650 # Mask of the Scilab sources macros
651 MACROMASK = *.sci
652 # Mask of the Scilab executable sources macros
653 MACROBUILDMASK = *.sce
654 # Mask of the Scilab compiled macros
655 MACROBINMASK = *.bin
656 # List of the standard directory for tests
657 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
658 # Where the demos should be installed
659 pkgdemosdir = $(mydatadir)
660 # List of the standard directory for demos
661 DEMOS_DIR = demos
662 # List of the standard directory for examples
663 EXAMPLES_DIR = examples
664 # Where to export JAVA archives (.jar)
665 JARDIR = jar/
666 # JAR files mask
667 JARMASK = *.jar
668 # Chapter file 
669 HELP_CHAPTERDIR = help/
670 HELP_CHAPTERFILE = addchapter.sce
671 HELP_CHAPTERLANG = en_US fr_FR pt_BR
672 all: all-am
673
674 .SUFFIXES:
675 .SUFFIXES: .sci .bin .cpp .lo .o .obj
676 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
677         @for dep in $?; do \
678           case '$(am__configure_deps)' in \
679             *$$dep*) \
680               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
681                 && { if test -f $@; then exit 0; else break; fi; }; \
682               exit 1;; \
683           esac; \
684         done; \
685         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ast/Makefile'; \
686         $(am__cd) $(top_srcdir) && \
687           $(AUTOMAKE) --foreign modules/ast/Makefile
688 .PRECIOUS: Makefile
689 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
690         @case '$?' in \
691           *config.status*) \
692             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
693           *) \
694             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
695             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
696         esac;
697 $(top_srcdir)/Makefile.incl.am:
698
699 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
700         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
701
702 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
703         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
704 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
705         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
706 $(am__aclocal_m4_deps):
707
708 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
709         @$(NORMAL_INSTALL)
710         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
711         list2=; for p in $$list; do \
712           if test -f $$p; then \
713             list2="$$list2 $$p"; \
714           else :; fi; \
715         done; \
716         test -z "$$list2" || { \
717           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
718           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
719           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
720           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
721         }
722
723 uninstall-pkglibLTLIBRARIES:
724         @$(NORMAL_UNINSTALL)
725         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
726         for p in $$list; do \
727           $(am__strip_dir) \
728           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
729           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
730         done
731
732 clean-pkglibLTLIBRARIES:
733         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
734         @list='$(pkglib_LTLIBRARIES)'; \
735         locs=`for p in $$list; do echo $$p; done | \
736               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
737               sort -u`; \
738         test -z "$$locs" || { \
739           echo rm -f $${locs}; \
740           rm -f $${locs}; \
741         }
742
743 libsciast.la: $(libsciast_la_OBJECTS) $(libsciast_la_DEPENDENCIES) $(EXTRA_libsciast_la_DEPENDENCIES) 
744         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciast_la_OBJECTS) $(libsciast_la_LIBADD) $(LIBS)
745
746 clean-checkPROGRAMS:
747         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
748         echo " rm -f" $$list; \
749         rm -f $$list || exit $$?; \
750         test -n "$(EXEEXT)" || exit 0; \
751         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
752         echo " rm -f" $$list; \
753         rm -f $$list
754
755 testConstExp$(EXEEXT): $(testConstExp_OBJECTS) $(testConstExp_DEPENDENCIES) $(EXTRA_testConstExp_DEPENDENCIES) 
756         @rm -f testConstExp$(EXEEXT)
757         $(AM_V_CXXLD)$(testConstExp_LINK) $(testConstExp_OBJECTS) $(testConstExp_LDADD) $(LIBS)
758
759 testControlExp$(EXEEXT): $(testControlExp_OBJECTS) $(testControlExp_DEPENDENCIES) $(EXTRA_testControlExp_DEPENDENCIES) 
760         @rm -f testControlExp$(EXEEXT)
761         $(AM_V_CXXLD)$(testControlExp_LINK) $(testControlExp_OBJECTS) $(testControlExp_LDADD) $(LIBS)
762
763 testVarExp$(EXEEXT): $(testVarExp_OBJECTS) $(testVarExp_DEPENDENCIES) $(EXTRA_testVarExp_DEPENDENCIES) 
764         @rm -f testVarExp$(EXEEXT)
765         $(AM_V_CXXLD)$(testVarExp_LINK) $(testVarExp_OBJECTS) $(testVarExp_LDADD) $(LIBS)
766
767 mostlyclean-compile:
768         -rm -f *.$(OBJEXT)
769
770 distclean-compile:
771         -rm -f *.tab.c
772
773 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-debugvisitor.Plo@am__quote@
774 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-libAst.Plo@am__quote@
775 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-macrovarvisitor.Plo@am__quote@
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-mutevisitor.Plo@am__quote@
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-printvisitor.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-scilabexception.Plo@am__quote@
779 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-shortcutvisitor.Plo@am__quote@
780 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-visitor_common.Plo@am__quote@
781 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testConstExp-testConstExp.Po@am__quote@
782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testControlExp-testControlExp.Po@am__quote@
783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testVarExp-testVarExp.Po@am__quote@
784
785 .cpp.o:
786 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
787 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
791
792 .cpp.obj:
793 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
794 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
798
799 .cpp.lo:
800 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
801 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
802 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
805
806 libsciast_la-libAst.lo: src/cpp/libAst.cpp
807 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-libAst.lo -MD -MP -MF $(DEPDIR)/libsciast_la-libAst.Tpo -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
808 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-libAst.Tpo $(DEPDIR)/libsciast_la-libAst.Plo
809 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/libAst.cpp' object='libsciast_la-libAst.lo' libtool=yes @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
812
813 libsciast_la-visitor_common.lo: src/cpp/visitor_common.cpp
814 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-visitor_common.lo -MD -MP -MF $(DEPDIR)/libsciast_la-visitor_common.Tpo -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
815 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-visitor_common.Tpo $(DEPDIR)/libsciast_la-visitor_common.Plo
816 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/visitor_common.cpp' object='libsciast_la-visitor_common.lo' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
819
820 libsciast_la-printvisitor.lo: src/cpp/printvisitor.cpp
821 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-printvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-printvisitor.Tpo -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
822 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-printvisitor.Tpo $(DEPDIR)/libsciast_la-printvisitor.Plo
823 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/printvisitor.cpp' object='libsciast_la-printvisitor.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
826
827 libsciast_la-debugvisitor.lo: src/cpp/debugvisitor.cpp
828 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-debugvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-debugvisitor.Tpo -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
829 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-debugvisitor.Tpo $(DEPDIR)/libsciast_la-debugvisitor.Plo
830 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/debugvisitor.cpp' object='libsciast_la-debugvisitor.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
833
834 libsciast_la-mutevisitor.lo: src/cpp/mutevisitor.cpp
835 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-mutevisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-mutevisitor.Tpo -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
836 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-mutevisitor.Tpo $(DEPDIR)/libsciast_la-mutevisitor.Plo
837 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/mutevisitor.cpp' object='libsciast_la-mutevisitor.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
840
841 libsciast_la-shortcutvisitor.lo: src/cpp/shortcutvisitor.cpp
842 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-shortcutvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
843 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo $(DEPDIR)/libsciast_la-shortcutvisitor.Plo
844 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/shortcutvisitor.cpp' object='libsciast_la-shortcutvisitor.lo' libtool=yes @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
847
848 libsciast_la-scilabexception.lo: src/cpp/scilabexception.cpp
849 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-scilabexception.lo -MD -MP -MF $(DEPDIR)/libsciast_la-scilabexception.Tpo -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
850 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-scilabexception.Tpo $(DEPDIR)/libsciast_la-scilabexception.Plo
851 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/scilabexception.cpp' object='libsciast_la-scilabexception.lo' libtool=yes @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
854
855 libsciast_la-macrovarvisitor.lo: src/cpp/macrovarvisitor.cpp
856 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-macrovarvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-macrovarvisitor.Tpo -c -o libsciast_la-macrovarvisitor.lo `test -f 'src/cpp/macrovarvisitor.cpp' || echo '$(srcdir)/'`src/cpp/macrovarvisitor.cpp
857 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-macrovarvisitor.Tpo $(DEPDIR)/libsciast_la-macrovarvisitor.Plo
858 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/macrovarvisitor.cpp' object='libsciast_la-macrovarvisitor.lo' libtool=yes @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-macrovarvisitor.lo `test -f 'src/cpp/macrovarvisitor.cpp' || echo '$(srcdir)/'`src/cpp/macrovarvisitor.cpp
861
862 testConstExp-testConstExp.o: src/cpp/testConstExp.cpp
863 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.o -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
864 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
865 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.o' libtool=no @AMDEPBACKSLASH@
866 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
867 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
868
869 testConstExp-testConstExp.obj: src/cpp/testConstExp.cpp
870 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.obj -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
871 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
872 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.obj' libtool=no @AMDEPBACKSLASH@
873 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
875
876 testControlExp-testControlExp.o: src/cpp/testControlExp.cpp
877 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.o -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
878 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
879 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.o' libtool=no @AMDEPBACKSLASH@
880 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
881 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
882
883 testControlExp-testControlExp.obj: src/cpp/testControlExp.cpp
884 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.obj -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
885 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
886 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.obj' libtool=no @AMDEPBACKSLASH@
887 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
888 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
889
890 testVarExp-testVarExp.o: src/cpp/testVarExp.cpp
891 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.o -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
892 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
893 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.o' libtool=no @AMDEPBACKSLASH@
894 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
895 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
896
897 testVarExp-testVarExp.obj: src/cpp/testVarExp.cpp
898 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.obj -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
899 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
900 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.obj' libtool=no @AMDEPBACKSLASH@
901 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
902 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
903
904 mostlyclean-libtool:
905         -rm -f *.lo
906
907 clean-libtool:
908         -rm -rf .libs _libs
909 install-libsciast_la_includeHEADERS: $(libsciast_la_include_HEADERS)
910         @$(NORMAL_INSTALL)
911         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
912         if test -n "$$list"; then \
913           echo " $(MKDIR_P) '$(DESTDIR)$(libsciast_la_includedir)'"; \
914           $(MKDIR_P) "$(DESTDIR)$(libsciast_la_includedir)" || exit 1; \
915         fi; \
916         for p in $$list; do \
917           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
918           echo "$$d$$p"; \
919         done | $(am__base_list) | \
920         while read files; do \
921           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciast_la_includedir)'"; \
922           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciast_la_includedir)" || exit $$?; \
923         done
924
925 uninstall-libsciast_la_includeHEADERS:
926         @$(NORMAL_UNINSTALL)
927         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
928         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
929         dir='$(DESTDIR)$(libsciast_la_includedir)'; $(am__uninstall_files_from_dir)
930
931 ID: $(am__tagged_files)
932         $(am__define_uniq_tagged_files); mkid -fID $$unique
933 tags: tags-am
934 TAGS: tags
935
936 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
937         set x; \
938         here=`pwd`; \
939         $(am__define_uniq_tagged_files); \
940         shift; \
941         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
942           test -n "$$unique" || unique=$$empty_fix; \
943           if test $$# -gt 0; then \
944             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
945               "$$@" $$unique; \
946           else \
947             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
948               $$unique; \
949           fi; \
950         fi
951 ctags: ctags-am
952
953 CTAGS: ctags
954 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
955         $(am__define_uniq_tagged_files); \
956         test -z "$(CTAGS_ARGS)$$unique" \
957           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
958              $$unique
959
960 GTAGS:
961         here=`$(am__cd) $(top_builddir) && pwd` \
962           && $(am__cd) $(top_srcdir) \
963           && gtags -i $(GTAGS_ARGS) "$$here"
964 cscopelist: cscopelist-am
965
966 cscopelist-am: $(am__tagged_files)
967         list='$(am__tagged_files)'; \
968         case "$(srcdir)" in \
969           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
970           *) sdir=$(subdir)/$(srcdir) ;; \
971         esac; \
972         for i in $$list; do \
973           if test -f "$$i"; then \
974             echo "$(subdir)/$$i"; \
975           else \
976             echo "$$sdir/$$i"; \
977           fi; \
978         done >> $(top_builddir)/cscope.files
979
980 distclean-tags:
981         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
982
983 check-TESTS: $(TESTS)
984         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
985         srcdir=$(srcdir); export srcdir; \
986         list=' $(TESTS) '; \
987         $(am__tty_colors); \
988         if test -n "$$list"; then \
989           for tst in $$list; do \
990             if test -f ./$$tst; then dir=./; \
991             elif test -f $$tst; then dir=; \
992             else dir="$(srcdir)/"; fi; \
993             if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
994               all=`expr $$all + 1`; \
995               case " $(XFAIL_TESTS) " in \
996               *[\ \     ]$$tst[\ \      ]*) \
997                 xpass=`expr $$xpass + 1`; \
998                 failed=`expr $$failed + 1`; \
999                 col=$$red; res=XPASS; \
1000               ;; \
1001               *) \
1002                 col=$$grn; res=PASS; \
1003               ;; \
1004               esac; \
1005             elif test $$? -ne 77; then \
1006               all=`expr $$all + 1`; \
1007               case " $(XFAIL_TESTS) " in \
1008               *[\ \     ]$$tst[\ \      ]*) \
1009                 xfail=`expr $$xfail + 1`; \
1010                 col=$$lgn; res=XFAIL; \
1011               ;; \
1012               *) \
1013                 failed=`expr $$failed + 1`; \
1014                 col=$$red; res=FAIL; \
1015               ;; \
1016               esac; \
1017             else \
1018               skip=`expr $$skip + 1`; \
1019               col=$$blu; res=SKIP; \
1020             fi; \
1021             echo "$${col}$$res$${std}: $$tst"; \
1022           done; \
1023           if test "$$all" -eq 1; then \
1024             tests="test"; \
1025             All=""; \
1026           else \
1027             tests="tests"; \
1028             All="All "; \
1029           fi; \
1030           if test "$$failed" -eq 0; then \
1031             if test "$$xfail" -eq 0; then \
1032               banner="$$All$$all $$tests passed"; \
1033             else \
1034               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
1035               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
1036             fi; \
1037           else \
1038             if test "$$xpass" -eq 0; then \
1039               banner="$$failed of $$all $$tests failed"; \
1040             else \
1041               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
1042               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
1043             fi; \
1044           fi; \
1045           dashes="$$banner"; \
1046           skipped=""; \
1047           if test "$$skip" -ne 0; then \
1048             if test "$$skip" -eq 1; then \
1049               skipped="($$skip test was not run)"; \
1050             else \
1051               skipped="($$skip tests were not run)"; \
1052             fi; \
1053             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1054               dashes="$$skipped"; \
1055           fi; \
1056           report=""; \
1057           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1058             report="Please report to $(PACKAGE_BUGREPORT)"; \
1059             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1060               dashes="$$report"; \
1061           fi; \
1062           dashes=`echo "$$dashes" | sed s/./=/g`; \
1063           if test "$$failed" -eq 0; then \
1064             col="$$grn"; \
1065           else \
1066             col="$$red"; \
1067           fi; \
1068           echo "$${col}$$dashes$${std}"; \
1069           echo "$${col}$$banner$${std}"; \
1070           test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
1071           test -z "$$report" || echo "$${col}$$report$${std}"; \
1072           echo "$${col}$$dashes$${std}"; \
1073           test "$$failed" -eq 0; \
1074         else :; fi
1075
1076 distdir: $(DISTFILES)
1077         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1078         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1079         list='$(DISTFILES)'; \
1080           dist_files=`for file in $$list; do echo $$file; done | \
1081           sed -e "s|^$$srcdirstrip/||;t" \
1082               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1083         case $$dist_files in \
1084           */*) $(MKDIR_P) `echo "$$dist_files" | \
1085                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1086                            sort -u` ;; \
1087         esac; \
1088         for file in $$dist_files; do \
1089           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1090           if test -d $$d/$$file; then \
1091             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1092             if test -d "$(distdir)/$$file"; then \
1093               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1094             fi; \
1095             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1096               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1097               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1098             fi; \
1099             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1100           else \
1101             test -f "$(distdir)/$$file" \
1102             || cp -p $$d/$$file "$(distdir)/$$file" \
1103             || exit 1; \
1104           fi; \
1105         done
1106 check-am: all-am
1107         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1108         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1109 check: check-am
1110 all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
1111 installdirs:
1112         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciast_la_includedir)"; do \
1113           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1114         done
1115 install: install-am
1116 install-exec: install-exec-am
1117 install-data: install-data-am
1118 uninstall: uninstall-am
1119
1120 install-am: all-am
1121         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1122
1123 installcheck: installcheck-am
1124 install-strip:
1125         if test -z '$(STRIP)'; then \
1126           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1127             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1128               install; \
1129         else \
1130           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1131             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1132             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1133         fi
1134 mostlyclean-generic:
1135
1136 clean-generic:
1137
1138 distclean-generic:
1139         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1140         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1141
1142 maintainer-clean-generic:
1143         @echo "This command is intended for maintainers to use"
1144         @echo "it deletes files that may require special tools to rebuild."
1145 clean: clean-am
1146
1147 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1148         clean-pkglibLTLIBRARIES mostlyclean-am
1149
1150 distclean: distclean-am
1151         -rm -rf ./$(DEPDIR)
1152         -rm -f Makefile
1153 distclean-am: clean-am distclean-compile distclean-generic \
1154         distclean-local distclean-tags
1155
1156 dvi: dvi-am
1157
1158 dvi-am:
1159
1160 html: html-am
1161
1162 html-am:
1163
1164 info: info-am
1165
1166 info-am:
1167
1168 install-data-am: install-data-local \
1169         install-libsciast_la_includeHEADERS
1170
1171 install-dvi: install-dvi-am
1172
1173 install-dvi-am:
1174
1175 install-exec-am: install-pkglibLTLIBRARIES
1176
1177 install-html: install-html-am
1178
1179 install-html-am: install-html-local
1180
1181 install-info: install-info-am
1182
1183 install-info-am:
1184
1185 install-man:
1186
1187 install-pdf: install-pdf-am
1188
1189 install-pdf-am:
1190
1191 install-ps: install-ps-am
1192
1193 install-ps-am:
1194
1195 installcheck-am:
1196
1197 maintainer-clean: maintainer-clean-am
1198         -rm -rf ./$(DEPDIR)
1199         -rm -f Makefile
1200 maintainer-clean-am: distclean-am maintainer-clean-generic
1201
1202 mostlyclean: mostlyclean-am
1203
1204 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1205         mostlyclean-libtool
1206
1207 pdf: pdf-am
1208
1209 pdf-am:
1210
1211 ps: ps-am
1212
1213 ps-am:
1214
1215 uninstall-am: uninstall-libsciast_la_includeHEADERS \
1216         uninstall-pkglibLTLIBRARIES
1217
1218 .MAKE: check-am install-am install-strip
1219
1220 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
1221         check-am check-local clean clean-checkPROGRAMS clean-generic \
1222         clean-libtool clean-local clean-pkglibLTLIBRARIES \
1223         cscopelist-am ctags ctags-am distclean distclean-compile \
1224         distclean-generic distclean-libtool distclean-local \
1225         distclean-tags distdir dvi dvi-am html html-am info info-am \
1226         install install-am install-data install-data-am \
1227         install-data-local install-dvi install-dvi-am install-exec \
1228         install-exec-am install-html install-html-am \
1229         install-html-local install-info install-info-am \
1230         install-libsciast_la_includeHEADERS install-man install-pdf \
1231         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1232         install-ps-am install-strip installcheck installcheck-am \
1233         installdirs maintainer-clean maintainer-clean-generic \
1234         mostlyclean mostlyclean-compile mostlyclean-generic \
1235         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1236         uninstall-am uninstall-libsciast_la_includeHEADERS \
1237         uninstall-pkglibLTLIBRARIES
1238
1239
1240 # This target enables tests for Scilab
1241 check-local: $(top_builddir)/scilab-bin test
1242         if test -d $(mydatadir)/tests; then \
1243           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1244         fi
1245 check-code:
1246         if test -f build.xml; then \
1247                 $(ANT) checkstyle; \
1248         fi
1249         if test -x "$(SPLINT)"; then \
1250                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1251         fi
1252 @NEED_JAVA_TRUE@java:
1253 # Some configurations needs to export JAVA_HOME in the current env
1254 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1255 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1256 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1257 @NEED_JAVA_TRUE@                $(ANT); \
1258 @NEED_JAVA_TRUE@        fi
1259
1260 @NEED_JAVA_TRUE@clean-java:
1261 # Some configurations needs to export JAVA_HOME in the current env
1262 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1263 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1264 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1265 @NEED_JAVA_TRUE@                $(ANT) clean; \
1266 @NEED_JAVA_TRUE@        fi;
1267
1268 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1269 # We call the target swig-build on the variable SWIG_WRAPPERS
1270
1271 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1272 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1273 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1274 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1275 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1276 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1277 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1278 @SWIG_TRUE@             done; \
1279 @SWIG_TRUE@     fi
1280
1281 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1282 # We call the target swig-build on the variable SWIG_WRAPPERS
1283
1284 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1285 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1286 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1287 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1288 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1289 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1290 @GIWS_TRUE@             done; \
1291 @GIWS_TRUE@     fi
1292
1293 @GIWS_TRUE@giws-exception:
1294 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1295 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1296 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1297
1298 macros:
1299         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1300                 echo "Error : Cannot build $< : Scilab has not been built"; \
1301         else \
1302                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1303         fi)
1304
1305 # Removes the macros
1306 clean-macros:
1307 # Removes macros (*.bin generated from .sci)
1308         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1309                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1310                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1311         done
1312
1313 test:
1314 # More tests could be added here
1315         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1316         if test -f build.xml -a $$USEANT -eq 1; then \
1317                 $(ANT) test; \
1318         fi
1319
1320 all-local: $(TARGETS_ALL)
1321
1322 .sci.bin:
1323         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1324         echo "Error : Cannot build $< : Scilab has not been build"; \
1325         else \
1326         echo "Creating $@"; \
1327         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1328         fi )
1329
1330 install-html-local:
1331
1332 install-data-local-local:
1333 # Mainly for javasci
1334         @if test -d $(srcdir)/javadoc; then \
1335                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1336         fi
1337 # If the user wants the help sources to be installed
1338 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1339 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1340 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1341 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1342 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1343 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1344 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1345 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1346 @INSTALL_HELP_XML_TRUE@           done ; \
1347 @INSTALL_HELP_XML_TRUE@         fi; \
1348 @INSTALL_HELP_XML_TRUE@  fi; \
1349 @INSTALL_HELP_XML_TRUE@ done; \
1350 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1351 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1352 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1353 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1354 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1355 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1356 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1357 @INSTALL_HELP_XML_TRUE@           done ; \
1358 @INSTALL_HELP_XML_TRUE@         fi; \
1359 @INSTALL_HELP_XML_TRUE@ fi
1360 install-data-local:
1361 # Install the tests
1362         @echo "-------- Install tests (if any) --------"; \
1363         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1364           if test -d $(srcdir)/$$dir/; then \
1365             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1366                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1367                     if test -d "$(srcdir)/$$dir/$$file"; then \
1368                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1369                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1370                     else \
1371                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1372                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1373                     fi \
1374                   done; \
1375           fi; \
1376         done
1377 # Install the help chapter
1378         @echo "-------- Install the help chapter (if any) --------"; \
1379         for lang in $(HELP_CHAPTERLANG); do \
1380                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1381                 if test -f $$HELPFILE; then \
1382                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1383                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1384                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1385                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1386                 fi; \
1387         done
1388 # Install the demos & examples
1389         @echo "-------- Install demos & examples (if any) --------"; \
1390         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1391           if test -d $(srcdir)/$$dir/; then \
1392             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1393                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1394                     if test -d "$(srcdir)/$$dir/$$file"; then \
1395                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1396                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1397                     else \
1398                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1399                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1400                     fi \
1401                   done; \
1402           fi; \
1403         done
1404 # Install the macros
1405         @echo "-------- Install macros (if any) --------"; \
1406         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1407           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1408                 if test -d $(srcdir)/$$dir/; then \
1409                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1410                         if test -n "$(MACROSSPECIALEXT)"; then \
1411                                 specialExtDir=""; \
1412                                 for specialExt in $(MACROSSPECIALEXT); do \
1413                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1414                                 done; \
1415                                 FILELIST="$$FILELIST $$specialExtDir"; \
1416                         fi; \
1417                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1418                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1419                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1420                   done; \
1421                 fi; \
1422         done
1423 # Install java files (.jar)
1424         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1425         echo "-------- Install jar files --------"; \
1426     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1427           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1428                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1429                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1430           done ; \
1431         fi
1432
1433 ########### CLEAN ###################
1434 # Clean help (generated automatically by Scilab)
1435 # It used to clean the macro (clean-macros) but this was causing
1436 # make clean && make to fail Scilab startup
1437 @NEED_JAVA_TRUE@clean-local: clean-java
1438 @NEED_JAVA_FALSE@clean-local:
1439
1440 distclean-local:
1441         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1442
1443 .PHONY: macros java swig giws
1444
1445 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1446 # Otherwise a system limit (for SysV at least) may be exceeded.
1447 .NOEXPORT: